创建 securityBaselineTemplate
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 securityBaselineTemplate 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/templates
POST /deviceManagement/templates/{deviceManagementTemplateId}/migratableTo
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 securityBaselineTemplate 对象的 JSON 表示形式。
下表显示创建 securityBaselineTemplate 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 模板 ID 继承自 deviceManagementTemplate |
| displayName | String | 模板的模板显示名称继承自 deviceManagementTemplate |
| 说明 | String | 模板的说明 继承自 deviceManagementTemplate |
| versionInfo | String | 模板的版本信息 继承自 deviceManagementTemplate |
| isDeprecated | Boolean | 模板是否被弃用。 无法从已弃用模板创建意图。 继承自 deviceManagementTemplate |
| intentCount | Int32 | 从此模板创建的意图数。 继承自 deviceManagementTemplate |
| templateType | deviceManagementTemplateType | 模板的类型。 继承自 deviceManagementTemplate。 可取值为:securityBaseline、specializedDevices、advancedThreatProtectionSecurityBaseline、deviceConfiguration、custom、securityTemplate、microsoftEdgeSecurityBaseline、microsoftOffice365ProPlusSecurityBaseline、deviceCompliance、deviceConfigurationForOffice365、cloudPC、firewallSharedSettings。 |
| platformType | policyPlatformType | 模板的平台。 继承自 deviceManagementTemplate。 可取值为:android、androidForWork、iOS、macOS、windowsPhone81、windows81AndLater、windows10AndLater、androidWorkProfile、windows10XProfile、all。 |
| templateSubtype | deviceManagementTemplateSubtype | 模板的子类型。 继承自 deviceManagementTemplate。 可取值为:none、firewall、diskEncryption、attackSurfaceReduction、endpointDetectionReponse、accountProtection、antivirus、firewallSharedAppList、firewallSharedIpList、firewallSharedPortlist。 |
| publishedDateTime | DateTimeOffset | 发布模板时 继承自 deviceManagementTemplate |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created securityBaselineTemplate 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/templates
Content-type: application/json
Content-length: 405
{
"@odata.type": "#microsoft.graph.securityBaselineTemplate",
"displayName": "Display Name value",
"description": "Description value",
"versionInfo": "Version Info value",
"isDeprecated": true,
"intentCount": 11,
"templateType": "specializedDevices",
"platformType": "androidForWork",
"templateSubtype": "firewall",
"publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 454
{
"@odata.type": "#microsoft.graph.securityBaselineTemplate",
"id": "3f61d4c2-d4c2-3f61-c2d4-613fc2d4613f",
"displayName": "Display Name value",
"description": "Description value",
"versionInfo": "Version Info value",
"isDeprecated": true,
"intentCount": 11,
"templateType": "specializedDevices",
"platformType": "androidForWork",
"templateSubtype": "firewall",
"publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}
反馈
提交和查看相关反馈